Skip to navigation

Update brand logo

View as Markdown

This method updates a single brand logo.

You pass in the new version of the resource in the Content-Disposition header. Example:

Content-Disposition: form-data; name="file"; filename="logo.jpg"

Note: Branding for either signing or sending must be enabled for the account (canSelfBrandSend , canSelfBrandSign, or both of these account settings must be true).

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

brandIdstringRequired
The ID of the brand.
logoTypestringRequired

The type of logo. Valid values are:

  • primary
  • secondary
  • email

Request

Brand logo binary Stream. Supported formats: JPG, GIF, PNG. Maximum file size: 300 KB. Recommended dimensions: 296 x 76 pixels (larger images will be resized). Changes may take up to one hour to display in all places

Response

Successful response.

Errors

400
Bad Request Error